<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

use Akeeba\TicketSystem\Admin\Helper\Editor;use Akeeba\TicketSystem\Admin\Helper\Select;

defined('_JEXEC') or die;

/** @var \Akeeba\TicketSystem\Admin\Model\AutoReplies $item */
$item = $this->getItem();
$categories = isset($item->params['categories']) ? $item->params['categories'] : array();
?>

@extends('admin:com_ats/Common/edit')

@section('edit-form-body')
<div class="akeeba-container--50-50">
    <div>
        <h3>@lang('COM_ATS_OFFLINESCHEDULES_GROUP_BASIC')</h3>
        <div class="akeeba-form-group">
            <label for="title">@lang('COM_ATS_COMMON_TITLE') *</label>

            <input type="text" name="title" id="title" value="{{{ $item->title }}}" />
        </div>

        <div class="akeeba-form-group">
            <label for="categories">@lang('COM_ATS_SUBMENU_CATEGORIES') *</label>

            {{ \Akeeba\TicketSystem\Admin\Helper\Select::getCategories($categories, 'params[categories][]',
    array(
        'multiple' => "true",
        'size' => 5
    ),
    false
    ) }}
            <span class="small">@lang('COM_ATS_AUTOREPLIES_CATEGORIES_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="enabled">@lang('COM_ATS_AUTOREPLIES_RUN_AFTER_MANAGER')</label>

            {{ Select::runManagerActions('run_after_manager', $item->run_after_manager) }}
        </div>

        <div class="akeeba-form-group">
            <label for="num_posts">@lang('COM_ATS_AUTOREPLIES_NUM_POSTS')</label>

            <input type="text" name="num_posts" id="num_posts" value="{{{ $item->num_posts }}}" />
            <span class="small">@lang('COM_ATS_AUTOREPLIES_NUM_POSTS_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="min_after">@lang('COM_ATS_AUTOREPLIES_MIN_AFTER')</label>

            <input type="text" name="min_after" id="min_after" value="{{{ $item->min_after }}}" />
            <span class="small">@lang('COM_ATS_AUTOREPLIES_MIN_AFTER_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="cats">@lang('COM_ATS_AUTOREPLIES_ATTACHMENT')</label>

            {{ \Akeeba\TicketSystem\Admin\Helper\Select::autoRepliesAttachment('attachment', $item->attachment) }}
        </div>

        <div class="akeeba-form-group">
            <label for="enabled">@lang('JPUBLISHED')</label>

			@jhtml('FEFHelper.select.booleanswitch', 'enabled', $item->enabled)
        </div>
    </div>

    <div>
        <h3>@lang('COM_ATS_AUTOREPLIES_KEYWORDS')</h3>

        <div class="akeeba-form-group">
            <label for="keywords_title">@lang('COM_ATS_AUTOREPLIES_KEYWORDS_TITLE')</label>

			<textarea name="keywords_title" rows="5">{{{ $item->keywords_title }}}</textarea>
            <span class="small">@lang('COM_ATS_AUTOREPLIES_KEYWORDS_TITLE_DESC')</span>
        </div>

        <div class="akeeba-form-group">
            <label for="keywords_text">@lang('COM_ATS_AUTOREPLIES_KEYWORDS_TEXT')</label>

            <textarea name="keywords_text" rows="5">{{{ $item->keywords_text }}}</textarea>
            <span class="small">@lang('COM_ATS_AUTOREPLIES_KEYWORDS_TEXT_DESC')</span>
        </div>
    </div>
</div>
<div id="editor">
    <h3>@lang('COM_ATS_AUTOREPLIES_BOT_REPLY')</h3>
    @atsEditor('reply', 'Bbcode', $item->reply, '100%', '400', 80, 20)
</div>
@stop